# Interface methods for submodule: TIFFImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageIOBaseProxy as _ImageIOBaseProxy


# Interface methods for class: TIFFImageIO
class TIFFImageIOProxy(_ImageIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def CanReadFile(self, arg0) -> bool:
		""""""
		...

	def ReadImageInformation(self) -> None:
		""""""
		...

	def Read(self, buffer) -> None:
		""""""
		...

	def ReadVolume(self, buffer) -> None:
		""""""
		...

	def CanWriteFile(self, arg0) -> bool:
		""""""
		...

	def WriteImageInformation(self) -> None:
		""""""
		...

	def Write(self, buffer) -> None:
		""""""
		...

	def SetCompressionToNoCompression(self) -> None:
		""""""
		...

	def SetCompressionToPackBits(self) -> None:
		""""""
		...

	def SetCompressionToJPEG(self) -> None:
		""""""
		...

	def SetCompressionToDeflate(self) -> None:
		""""""
		...

	def SetCompressionToLZW(self) -> None:
		""""""
		...

	def SetJPEGQuality(self, _JPEGQuality: int) -> None:
		""""""
		...

	def GetJPEGQuality(self) -> int:
		""""""
		...

	def GetColorPalette(self):
		""""""
		...

	def SetColorPalette(self, _arg) -> None:
		""""""
		...

